<template>
  <div class="buttonsCallHelper">
    <!--    <AppButton :classes="classesButton('forLeftButton')">-->
    <!--      <template #button-item>-->
    <!--        <img-->
    <!--          svg-inline-->
    <!--          src="~/assets/svg/redesign/headset.svg">-->
    <!--        Вызвать Автоконсьержа-->
    <!--      </template>-->
    <!--    </AppButton>-->
    <!--    TODO: Пока сделаем так потом вынесем стили в отдельный css файл для удобства inject-->
    <flink
      class="button forLeftButton"
      domain="helper"
      href="/"
      target="_blank"
      rel="noopener"
      @click.native="$ym('helper_open')">
      <img
        svg-inline
        src="~/assets/svg/redesign/help.svg">
      <span> Некогда искать?</span>
    </flink>
  </div>
</template>

<script>
import AppButton from '~/components/redesign/app-buttons/app-button';

export default {
  name: 'ButtonsCallHelper',
  components: {
    AppButton,
  },
  data() {
    return {};
  },
};
</script>

<style lang="postcss">

  .buttonsCallHelper {
    display: flex;
    align-items: stretch;
    width: 10.5rem;

    .button {
      margin: 0;
      height: var(--btn-min-height);
      white-space: nowrap;
      box-shadow: none;
      border: 1px solid var(--link-color);

      &.forLeftButton {
        padding: 0;
        width: 100%;
        color: var(--link-color);
        background-color: var(--btn-outline-bg);
        font-size: 0.875rem;

        .svg {
          margin-right: 0.625rem;
          width: 1.3125rem;
          fill: var(--link-color);
        }
      }

      &.buttonQuestion {
        padding: 0;
        width: var(--btn-medium-height);
        min-width: var(--btn-medium-height);
        font-size: 1rem;
        color: var(--color-main-lightest);
        background-color: var(--bg-lighten);
        border: 1px solid var(--border-color-main);
        border-left: none;
      }

      &.buttonQuestion,
      &.forLeftButton {
        &:hover {
          background-color: var(--bg-light-blue);
        }
      }
    }

    @media screen and (max-width: 980px) {
      width: 100%;
      max-width: 22rem;

      .button {
        font-size: 0.875rem;
        height: var(--btn-mobile-min-height);
        &.buttonQuestion {
          display: flex;
          width: var(--btn-mobile-min-height);
          min-width: var(--btn-mobile-min-height);
        }
      }
    }
  }
</style>
